﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;

public partial class Default : System.Web.UI.Page
{

	private List<DockState> CurrentDockStates
	{
		get
		{
			//Store the info about the added docks in the session. For real life
			// applications we recommend using database or other storage medium
			// for persisting this information.
			List<DockState> _currentDockStates = (List<DockState>)Session["CurrentDockStatesDynamicDocks"];
			if (Object.Equals(_currentDockStates, null))
			{
				_currentDockStates = new List<DockState>();
				Session["CurrentDockStatesDynamicDocks"] = _currentDockStates;
			}
			return _currentDockStates;
		}
		set
		{
			Session["CurrentDockStatesDynamicDocks"] = value;
		}
	}


	private void CreateSaveStateTrigger(RadDock dock)
	{
		//Ensure that the RadDock control will initiate postback
		// when its position changes on the client or any of the commands is clicked.
		//Using the trigger we will "ajaxify" that postback.
		dock.AutoPostBack = true;
		dock.CommandsAutoPostBack = true;
	}

	protected void Page_Init(object sender, EventArgs e)
	{
		RadGrid1.DataSource = new[] { "row", "row", "row", "row", "row", "row", "row", "row", "row", "row" };
		RadGrid1.DataBind();

	}

	protected void RadDockLayout1_LoadDockLayout(object sender, DockLayoutEventArgs e)
	{
		//Populate the event args with the state information. The RadDockLayout control
		// will automatically move the docks according that information.
		foreach (DockState state in CurrentDockStates)
		{
			e.Positions[state.UniqueName] = state.DockZoneID;
			e.Indices[state.UniqueName] = state.Index;
		}
	}

	protected void RadDockLayout1_SaveDockLayout(object sender, DockLayoutEventArgs e)
	{
		//Save the dock state in the page Session. This will enable us
		// to recreate the dock in the next Page_Init.
		CurrentDockStates = RadDockLayout1.GetRegisteredDocksState();
	}


	protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
	{
		if (e.Item is GridDataItem)
		{
			RadDock dock = e.Item.FindControl("RadDock1") as RadDock;
			dock.UniqueName = dock.UniqueID;
		}
		
	}
}
